<?php

namespace LivraisonParSecteurs\Hook;

use LivraisonParSecteurs\LivraisonParSecteurs;
use Thelia\Core\Event\Hook\HookRenderEvent;
use Thelia\Core\Hook\BaseHook;

class EmailHook extends BaseHook
{
    public function displayDeliveryDateWithinEmail(HookRenderEvent $event)
    {

        $moduleId = $event->getArgument('module');
        $orderId = $event->getArgument('order');

        if ((null !== $orderId) && ($moduleId == LivraisonParSecteurs::getModuleId()))
        {
            $selectedDay = $this->getSession()->get(LivraisonParSecteurs::LPS_DELIVERY_DATE);
            $beginTime = $this->getSession()->get(LivraisonParSecteurs::LPS_DELIVERY_BEGIN_TIME);
            $endTime = $this->getSession()->get(LivraisonParSecteurs::LPS_DELIVERY_END_TIME);

            if ( (null !==  $selectedDay) && (null !==  $beginTime) && (null !==  $endTime) )
            {
                $event->add(
                    $this->render(
                        'delivery-address.html', [
                        'day' => $selectedDay,
                        'begin_time' => $beginTime,
                        'end_time' => $endTime
                    ])
                );
            }
        }
    }

}


